漏洞信息详情

Mercurial 安全漏洞

  • CNNVD编号:CNNVD-201807-303
  • 危害等级: 高危
  • CVE编号: CVE-2018-13348
  • 漏洞类型: 输入验证错误
  • 发布时间: 2018-07-06
  • 威胁类型: 远程
  • 更新时间: 2020-08-03
  • 厂        商: mercurial
  • 漏洞来源:

漏洞简介

Mercurial是软件开发者Matt Mackall所研发的一套使用Python语言编写的跨平台的分布式版本控制软件。该软件支持同时处理纯文本和二进制文件等。

Mercurial 4.6.1之前版本中的mpatch.c文件的‘mpatch_decode’函数存在安全漏洞,该漏洞源于程序没有正确的处理补丁数据中当前位置之后字节数少于12字节的情况。目前尚无此漏洞的相关信息,请随时关注CNNVD或厂商公告。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://www.mercurial-scm.org/wiki/WhatsNew#Mercurial_4.6.1_.282018-06-06.29

参考网址

来源:MLIST

链接:https://lists.debian.org/debian-lts-announce/2020/07/msg00032.html

来源:MISC

链接:https://www.mercurial-scm.org/wiki/WhatsNew#Mercurial_4.6.1_.282018-06-06.29

来源:MISC

链接:https://www.mercurial-scm.org/repo/hg/rev/90a274965de7

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2020.2627/

漏洞信息快速查询

相关漏洞

更多